Name:           jsr-305
Version:        1
Release:        %mkrel 0.7.20090319svn.4
Summary:        Correctness annotations for Java code

Group:          Development/Java
License:        BSD
URL:            http://jsr-305.googlecode.com/
# There has been no official release yet.  This is a snapshot of the Subversion
# repository as of 19 Mar 2009.  Use the following commands to generate the
# tarball:
#   svn export -r 49 http://jsr-305.googlecode.com/svn/trunk jsr-305
#   tar -cvf jsr-305-0.4.20090319.tar jsr-305
#   xz jsr-305-0.4.20090319.tar
Source0:        jsr-305-0.4.20090319.tar.xz
Source1:        jsr-305-ri-build.xml
Source3:        http://repo1.maven.org/maven2/com/google/code/findbugs/jsr305/1.3.9/jsr305-1.3.9.pom

BuildRequires:  java >= 0:1.6.0
BuildRequires:  jpackage-utils, maven
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:  maven-site-plugin
BuildRequires:  maven-surefire-plugin
BuildRequires:  maven-surefire-provider-junit
Requires:       java, jpackage-utils

BuildArch:      noarch

%description
This package contains reference implementations, test cases, and other
documents for Java Specification Request 305: Annotations for Software Defect
Detection.

%files
%doc ri/LICENSE sampleUses
%{_mavenpomdir}/*
%{_javadir}/%{name}.jar
%{_mavendepmapfragdir}/%{name}

#--------------------------------------------------------------------

%package javadoc
Summary:        Javadoc documentation for %{name}
Group:          Development/Java
Requires:       jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%pre javadoc
# workaround for rpm bug 646523 (can be removed in F-17)
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}
#%{__cp} -a %{SOURCE3} ri/build.xml
sed -i 's/\r//' sampleUses/pom.xml

# javadoc build failure
sed -i 's|<module>tcl</module>|<!--module>tcl</module-->|' pom.xml
sed -i 's|<module>sampleUses</module>|<!--module>tcl</module-->|' pom.xml
sed -i 's|<module>proposedAnnotations</module>|<!--module>tcl</module-->|' pom.xml

%build

mvn-rpmbuild install javadoc:aggregate

%install

# JAR files
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p ri/target/ri-0.1-SNAPSHOT.jar $RPM_BUILD_ROOT%{_javadir}/%{name}.jar

# Javadocs
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}/

# pom
mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 ri/pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar -a 'com.google.code.findbugs:jsr305'

install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}-parent.pom
%add_maven_depmap JPP-%{name}-parent.pom



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1-0.7.20090319svn.4.mga4
+ Revision: 506495
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1-0.7.20090319svn.3.mga3
+ Revision: 355637
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 dmorgan <dmorgan> 1-0.7.20090319svn.2.mga3
+ Revision: 267157
- Increase Epoch to fix update from mdv

* Mon Jan 09 2012 dmorgan <dmorgan> 0-0.7.20090319svn.2.mga2
+ Revision: 193703
+ rebuild (emptylog)

* Fri Jan 06 2012 gil <gil> 0-0.7.20090319svn.1.mga2
+ Revision: 192330
- build fix fixed javadoc build
- build fix fixed depmap
- build fix fixed depmap

  + dmorgan <dmorgan>
    - Source1 should be not needed ( test)
    - Reuse jsr-305-ri-build.xml and jsr305-1.3.9.pom ( gil)
    - Sync with fedora
    - Reorder spec file

* Thu Oct 27 2011 gil <gil> 0-0.5.20090319svn.2.mga2
+ Revision: 158526
- edit pom
- edit depmap
- added new maven2 pom

* Thu Jan 20 2011 dmorgan <dmorgan> 0-0.5.20090319svn.1.mga1
+ Revision: 25686
- Add java-rpmbuild as buildrequire
- Add ant as buildrequire
- Use %%mkrel
- Sync with Opensuse to all to bootstrap
- imported package jsr-305


* Fri Nov 26 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0-0.5.20090319svn
- Fix pom filename (Resolves rhbz#655811)
- Remove tomcat5 BR (not needed anymore)
- Use new maven plugin names
- Remove gcj support
- Few tweaks according to new guidelines
- Make jars and javadocs versionless

* Thu Jan 14 2010 Jerry James <loganjerry@gmail.com> - 0-0.4.20090319svn
- Update to 19 Mar 2009 snapshot
- Compress with xz instead of bzip2
- BR tomcat5, a horrible workaround to solve bz 538868

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.4.20090203svn
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Mar  4 2009 Jerry James <loganjerry@gmail.com> - 0-0.3.20090203svn
- Explicitly require OpenJDK to build

* Sat Feb 28 2009 Jerry James <loganjerry@gmail.com> - 0-0.2.20090203svn
- Update to 03 Feb 2009 snapshot

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.2.20080824svn.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Nov 24 2008 Jerry James <loganjerry@gmail.com> - 0-0.1.20080824svn.1
- Cleaned up summary

* Mon Sep  8 2008 Jerry James <loganjerry@gmail.com> - 0-0.1.20080824svn
- Update to 24 Aug 2008 snapshot

* Mon Aug  4 2008 Jerry James <loganjerry@gmail.com> - 0-0.1.20080721svn
- Update to 21 Jul 2008 snapshot

* Mon Jun 30 2008 Jerry James <loganjerry@gmail.com> - 0-0.1.20080613svn
- Update to 13 Jun 2008 snapshot
- Fix broken URLs
- Include instructions on regenerating the tarball
- Conditionalize the gcj bits

* Mon Jun  2 2008 Jerry James <loganjerry@gmail.com> - 0-0.1.20080527svn
- Update to 27 May 2008 snapshot

* Mon May 12 2008 Jerry James <loganjerry@gmail.com> - 0-0.1.20071105svn
- Initial RPM
